<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Grammar Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_grammar-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Grammar Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_grammar_8h_source.html">Grammar.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Grammar:</div>
<div class="dyncontent">
<div class="center"><img src="class_grammar__inherit__graph.png" border="0" usemap="#_grammar_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Grammar:</div>
<div class="dyncontent">
<div class="center"><img src="class_grammar__coll__graph.png" border="0" usemap="#_grammar_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa201250a002a7d07d398fee189a74427"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#aa201250a002a7d07d398fee189a74427">Grammar</a> ()</td></tr>
<tr class="separator:aa201250a002a7d07d398fee189a74427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63d11104dfca2904fd1be25811adff39"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a63d11104dfca2904fd1be25811adff39">Grammar</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a63d11104dfca2904fd1be25811adff39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af79a501899d2c4531d52061243489f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a5af79a501899d2c4531d52061243489f">Grammar</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a5af79a501899d2c4531d52061243489f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a7ada4ebd4e2d3776deeafb865ace47"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a7a7ada4ebd4e2d3776deeafb865ace47">Grammar</a> (const <a class="el" href="class_grammar.html">Grammar</a> &amp;)</td></tr>
<tr class="separator:a7a7ada4ebd4e2d3776deeafb865ace47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e8bade0190ee9830d9c600e4216b36"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a60e8bade0190ee9830d9c600e4216b36">~Grammar</a> ()</td></tr>
<tr class="separator:a60e8bade0190ee9830d9c600e4216b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024bf91281316487ebb0afa9d2908fc9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a024bf91281316487ebb0afa9d2908fc9">getValidGrammar</a> () const</td></tr>
<tr class="separator:a024bf91281316487ebb0afa9d2908fc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a0c50f7b813d84e5e7f256101c6628"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_symbol.html">Symbol</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a54a0c50f7b813d84e5e7f256101c6628">getStartSymbol</a> () const</td></tr>
<tr class="separator:a54a0c50f7b813d84e5e7f256101c6628"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3d6ba30babe7c485813ed652d3b0b7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a8f3d6ba30babe7c485813ed652d3b0b7">setStartSymbol</a> (const unsigned int)</td></tr>
<tr class="separator:a8f3d6ba30babe7c485813ed652d3b0b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d498512f1ee418c6f2a3ad4462dd7a9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a4d498512f1ee418c6f2a3ad4462dd7a9">setStartSymbol</a> (const <a class="el" href="class_symbol.html">Symbol</a> *)</td></tr>
<tr class="separator:a4d498512f1ee418c6f2a3ad4462dd7a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29abd1c0d39af9262d3ec054a3273c80"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a29abd1c0d39af9262d3ec054a3273c80">setStartSymbol</a> (const string &amp;)</td></tr>
<tr class="separator:a29abd1c0d39af9262d3ec054a3273c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7700c2cdf21d73edbba886da3ee9ba1a"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_rule.html">Rule</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a7700c2cdf21d73edbba886da3ee9ba1a">getStartRule</a> () const</td></tr>
<tr class="separator:a7700c2cdf21d73edbba886da3ee9ba1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_mapper"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_mapper')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_mapper.html">Mapper</a></td></tr>
<tr class="memitem:a15fd8e5e4f913d24bb3a2c1371d6426c inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a15fd8e5e4f913d24bb3a2c1371d6426c">Mapper</a> ()</td></tr>
<tr class="separator:a15fd8e5e4f913d24bb3a2c1371d6426c inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af926e742d889da4b514c2c860ac75837 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#af926e742d889da4b514c2c860ac75837">Mapper</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:af926e742d889da4b514c2c860ac75837 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a01dad7989624701227b4cb01561b6 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a54a01dad7989624701227b4cb01561b6">Mapper</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a54a01dad7989624701227b4cb01561b6 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a375c7f925bc8db2b6a0a0acb04cf9 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a79a375c7f925bc8db2b6a0a0acb04cf9">Mapper</a> (const <a class="el" href="class_mapper.html">Mapper</a> &amp;)</td></tr>
<tr class="separator:a79a375c7f925bc8db2b6a0a0acb04cf9 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b42bce1e3052a0009181ed283d1070 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a24b42bce1e3052a0009181ed283d1070">~Mapper</a> ()</td></tr>
<tr class="separator:a24b42bce1e3052a0009181ed283d1070 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2affa751192b301f462b002e9a0b2fb4 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_genotype.html">Genotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a2affa751192b301f462b002e9a0b2fb4">getGenotype</a> () const</td></tr>
<tr class="separator:a2affa751192b301f462b002e9a0b2fb4 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e07e87fa2f1f8174c0cc3baa22b965 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a96e07e87fa2f1f8174c0cc3baa22b965">setGenotype</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a96e07e87fa2f1f8174c0cc3baa22b965 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb17f62e20ff64521c5419c31052c3f inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_phenotype.html">Phenotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adbb17f62e20ff64521c5419c31052c3f">getPhenotype</a> () const</td></tr>
<tr class="separator:adbb17f62e20ff64521c5419c31052c3f inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32106eccb705a63719fafbe293f27f70 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a32106eccb705a63719fafbe293f27f70">setPhenotype</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a32106eccb705a63719fafbe293f27f70 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2620cb58f70ec87748439dfc1a8acf7 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#ab2620cb58f70ec87748439dfc1a8acf7">setGenotypeMaxCodonValue</a> (const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>)</td></tr>
<tr class="separator:ab2620cb58f70ec87748439dfc1a8acf7 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ae99ce7c7ac064f4728c1675227beeb52"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#ae99ce7c7ac064f4728c1675227beeb52">setValidGrammar</a> (const bool)</td></tr>
<tr class="separator:ae99ce7c7ac064f4728c1675227beeb52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dafdfb67c2d6613225eb7dc4367089a"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a5dafdfb67c2d6613225eb7dc4367089a">genotype2Phenotype</a> ()=0</td></tr>
<tr class="separator:a5dafdfb67c2d6613225eb7dc4367089a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb1b792d7a9cc48909b4c10666f50b8"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a8eb1b792d7a9cc48909b4c10666f50b8">phenotype2Genotype</a> ()=0</td></tr>
<tr class="separator:a8eb1b792d7a9cc48909b4c10666f50b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_mapper"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_mapper')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_mapper.html">Mapper</a></td></tr>
<tr class="memitem:a058104ce77afefce7ff10cf98baea52b inherit pro_attribs_class_mapper"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_genotype.html">Genotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a058104ce77afefce7ff10cf98baea52b">genotype</a></td></tr>
<tr class="separator:a058104ce77afefce7ff10cf98baea52b inherit pro_attribs_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4c81ef77cc70cda9a1881637bf3bd1 inherit pro_attribs_class_mapper"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_phenotype.html">Phenotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adc4c81ef77cc70cda9a1881637bf3bd1">phenotype</a></td></tr>
<tr class="separator:adc4c81ef77cc70cda9a1881637bf3bd1 inherit pro_attribs_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aa201250a002a7d07d398fee189a74427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa201250a002a7d07d398fee189a74427">&#9670;&nbsp;</a></span>Grammar() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Grammar::Grammar </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a63d11104dfca2904fd1be25811adff39"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63d11104dfca2904fd1be25811adff39">&#9670;&nbsp;</a></span>Grammar() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Grammar::Grammar </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newGenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5af79a501899d2c4531d52061243489f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af79a501899d2c4531d52061243489f">&#9670;&nbsp;</a></span>Grammar() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Grammar::Grammar </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newPhenotype</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a7ada4ebd4e2d3776deeafb865ace47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a7ada4ebd4e2d3776deeafb865ace47">&#9670;&nbsp;</a></span>Grammar() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Grammar::Grammar </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_grammar.html">Grammar</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a60e8bade0190ee9830d9c600e4216b36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60e8bade0190ee9830d9c600e4216b36">&#9670;&nbsp;</a></span>~Grammar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Grammar::~Grammar </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5dafdfb67c2d6613225eb7dc4367089a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dafdfb67c2d6613225eb7dc4367089a">&#9670;&nbsp;</a></span>genotype2Phenotype()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Grammar::genotype2Phenotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_mapper.html#a19f7e1f27376099e571e0923305257f1">Mapper</a>.</p>

<p>Implemented in <a class="el" href="class_c_f_grammar.html#ade45a672bd2c0c4e0903197750758335">CFGrammar</a>, and <a class="el" href="class_g_e_grammar.html#a01e85bdaba8f787d52b7dc1c8fce04ab">GEGrammar</a>.</p>

</div>
</div>
<a id="a7700c2cdf21d73edbba886da3ee9ba1a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7700c2cdf21d73edbba886da3ee9ba1a">&#9670;&nbsp;</a></span>getStartRule()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_rule.html">Rule</a> * Grammar::getStartRule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a54a0c50f7b813d84e5e7f256101c6628"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54a0c50f7b813d84e5e7f256101c6628">&#9670;&nbsp;</a></span>getStartSymbol()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_symbol.html">Symbol</a> * Grammar::getStartSymbol </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a024bf91281316487ebb0afa9d2908fc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024bf91281316487ebb0afa9d2908fc9">&#9670;&nbsp;</a></span>getValidGrammar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Grammar::getValidGrammar </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8eb1b792d7a9cc48909b4c10666f50b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8eb1b792d7a9cc48909b4c10666f50b8">&#9670;&nbsp;</a></span>phenotype2Genotype()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Grammar::phenotype2Genotype </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_mapper.html#a3409ce9a6b9bb741ee2c04a107ddeac7">Mapper</a>.</p>

<p>Implemented in <a class="el" href="class_c_f_grammar.html#acfb91f3a968e98ff19a914c5d482a673">CFGrammar</a>, and <a class="el" href="class_g_e_grammar.html#a7f6e7a5675dc684389e72d208789153d">GEGrammar</a>.</p>

</div>
</div>
<a id="a29abd1c0d39af9262d3ec054a3273c80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29abd1c0d39af9262d3ec054a3273c80">&#9670;&nbsp;</a></span>setStartSymbol() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Grammar::setStartSymbol </td>
          <td>(</td>
          <td class="paramtype">const string &amp;&#160;</td>
          <td class="paramname"><em>newStartSymbol</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4d498512f1ee418c6f2a3ad4462dd7a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d498512f1ee418c6f2a3ad4462dd7a9">&#9670;&nbsp;</a></span>setStartSymbol() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Grammar::setStartSymbol </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_symbol.html">Symbol</a> *&#160;</td>
          <td class="paramname"><em>newStartSymbol</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8f3d6ba30babe7c485813ed652d3b0b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f3d6ba30babe7c485813ed652d3b0b7">&#9670;&nbsp;</a></span>setStartSymbol() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Grammar::setStartSymbol </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae99ce7c7ac064f4728c1675227beeb52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae99ce7c7ac064f4728c1675227beeb52">&#9670;&nbsp;</a></span>setValidGrammar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Grammar::setValidGrammar </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>newValidGrammar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_grammar_8h_source.html">Grammar.h</a></li>
<li>src/<a class="el" href="_grammar_8cpp.html">Grammar.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
